<?php
global $photonic_instagram_options;

$photonic_instagram_options = array(
	array("name" => "Instagram settings",
		"desc" => "Control settings for Instagram",
		"category" => "instagram-settings",
		"type" => "section",),

	array("name" => "Instagram Access Token",
		"desc" => "Enter your Instagram Access Token. You can get this from <em>Photonic &rarr; Helpers</em> by clicking on <em>Login and get Access Token</em>",
		"id" => "instagram_access_token",
		"grouping" => "instagram-settings",
		"type" => "text",
		"std" => ""),

	array("name" => "Disable lightbox linking",
		"desc" => "Check this to disable linking the photo title in the lightbox to the original photo page.",
		"id" => "instagram_disable_title_link",
		"grouping" => "instagram-settings",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Expanded size",
		"desc" => "Image size to show when you click on a thumbnail:",
		"id" => "instagram_main_size",
		"grouping" => "instagram-settings",
		"type" => "select",
		"options" => array("low_resolution" => "Low Resolution, 306x306px", "standard_resolution" => "Standard Resolution, 612x612px"),
		"std" => "standard_resolution"),

	array("name" => "Title Display",
		"desc" => "How do you want the title of the photo thumbnail?",
		"id" => "instagram_photo_title_display",
		"grouping" => "instagram-settings",
		"type" => "radio",
		"options" => photonic_title_styles(),
		"std" => "tooltip"),

	array("name" => "Constrain Photos Per Row",
		"desc" => "How do you want the control the number of photo thumbnails per row? This can be overridden by adding the '<code>columns</code>' parameter to the '<code>gallery</code>' shortcode.",
		"id" => "instagram_photos_per_row_constraint",
		"grouping" => "instagram-settings",
		"type" => "select",
		"options" => array("padding" => "Fix the padding around the thumbnails",
			"count" => "Fix the number of thumbnails per row",
		),
		"std" => "padding"),

	array("name" => "Constrain by padding",
		"desc" => " If you have constrained by padding above, enter the number of pixels here to pad the thumbs by",
		"id" => "instagram_photos_constrain_by_padding",
		"grouping" => "instagram-settings",
		"type" => "text",
		"hint" => "Enter the number of pixels here (don't enter 'px'). Non-integers will be ignored.",
		"std" => "15"),

	array("name" => "Constrain by number of thumbnails",
		"desc" => " If you have constrained by number of thumbnails per row above, enter the number of thumbnails",
		"id" => "instagram_photos_constrain_by_count",
		"grouping" => "instagram-settings",
		"type" => "slider",
		"options" => array("range" => "min", "min" => 1, "max" => 25, "step" => 1, "size" => "400px", "unit" => ""),
		"std" => 5),

	array("name" => "Photo Thumbnail Border",
		"id" => "instagram_photo_thumb_border",
		"grouping" => "instagram-settings",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Photo Thumbnail - Padding between border and image",
		"desc" => "Setup the padding between the photo thumbnail and its border.",
		"id" => "instagram_photo_thumb_padding",
		"grouping" => "instagram-settings",
		"type" => "padding",
		"options" => array(),
		"std" => array(
			'top' => array('padding' => 0, 'padding-type' => 'px'),
			'right' => array('padding' => 0, 'padding-type' => 'px'),
			'bottom' => array('padding' => 0, 'padding-type' => 'px'),
			'left' => array('padding' => 0, 'padding-type' => 'px'),
		),
	),

);